package com.clx.performance.dao.collect;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.model.collect.CollectDriverTransportIntentionRecord;
import com.clx.performance.param.app.collect.CarrierDriverCollectTransportIntentionParam;
import com.msl.common.dao.BaseDao;
import com.clx.performance.mapper.collect.CollectDriverTransportIntentionMapper;
import com.clx.performance.model.collect.CollectDriverTransportIntention;

import java.util.List;

/**
 * @author kavin
 * Date 2024-10-17
 * Time 16:26
 */
public interface CollectDriverTransportIntentionDao extends BaseDao<CollectDriverTransportIntentionMapper, CollectDriverTransportIntention, Integer> {


    IPage<CollectDriverTransportIntention> listByCondition(CarrierDriverCollectTransportIntentionParam param);

    List<CollectDriverTransportIntention> listEnableInfo();
}
